Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema Class Reference
Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema:
[legend]

## Classes
class | Sample

## Public Types
typedef ONuPatchSchema | this_type
typedef ONuPatchSchema::Sample | sample_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< NuPatchSchemaInfo >
typedef NuPatchSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< NuPatchSchemaInfo >
typedef NuPatchSchemaInfo | info_type
typedef OSchema< NuPatchSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| ONuPatchSchema ()
| ONuPatchSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| ONuPatchSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
AbcA::TimeSamplingPtr | getTimeSampling () const
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
size_t | getNumSamples () const
void | set (const sample_type &iSamp)
| Set a sample!
void | setFromPrevious ()
void | reset ()
bool | valid () const
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (ONuPatchSchema::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< NuPatchSchemaInfo >
| OGeomBaseSchema ()
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OCompoundProperty | getUserProperties ()
Abc::OBox3dProperty | getChildBoundsProperty ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< NuPatchSchemaInfo >
| OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions
void | init (const AbcA::index_t iTsIdx, bool isSparse)
void | selectiveSet (const Sample &iSamp)
void | createPositionProperties ()
void | createKnotProperties ()
void | createVelocityProperty ()
void | createUVsProperty (const Sample &iSamp)
void | createNormalsProperty (const Sample &iSamp)
void | createPositionWeightsProperty ()
void | createTrimPropreties ()
Protected Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< NuPatchSchemaInfo >
void | init (uint32_t iTsIndex, bool isSparse)
void | createSelfBoundsProperty (uint32_t iTsIndex, size_t iNumSamples)
| Creates the self bounds.
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes
bool | m_selectiveExport
size_t | m_numSamples
AbcA::index_t | m_timeSamplingIndex
Abc::OP3fArrayProperty | m_positionsProperty
Abc::OInt32Property | m_numUProperty
Abc::OInt32Property | m_numVProperty
Abc::OInt32Property | m_uOrderProperty
Abc::OInt32Property | m_vOrderProperty
Abc::OFloatArrayProperty | m_uKnotProperty
Abc::OFloatArrayProperty | m_vKnotProperty
Abc::OFloatArrayProperty | m_positionWeightsProperty
ON3fGeomParam | m_normalsParam
OV2fGeomParam | m_uvsParam
Abc::OV3fArrayProperty | m_velocitiesProperty
Abc::OInt32Property | m_trimNumLoopsProperty
Abc::OInt32ArrayProperty | m_trimNumCurvesProperty
Abc::OInt32ArrayProperty | m_trimNumVerticesProperty
Abc::OInt32ArrayProperty | m_trimOrderProperty
Abc::OFloatArrayProperty | m_trimKnotProperty
Abc::OFloatArrayProperty | m_trimMinProperty
Abc::OFloatArrayProperty | m_trimMaxProperty
Abc::OFloatArrayProperty | m_trimUProperty
Abc::OFloatArrayProperty | m_trimVProperty
Abc::OFloatArrayProperty | m_trimWProperty
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< NuPatchSchemaInfo >
Abc::OBox3dProperty | m_selfBoundsProperty
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_arbGeomParams
Abc::OCompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< NuPatchSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)

## Member Typedef Documentation

## ◆ this_type

typedef ONuPatchSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ ONuPatchSchema() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::ONuPatchSchema | ( |  | ) |
| inline

The default constructor creates an empty ONuPatchSchema ...

## ◆ ONuPatchSchema() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::ONuPatchSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument(),
|  | const Abc::Argument & | iArg3 = Abc::Argument() )

This constructor creates a new poly mesh writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OFaceSet (.geom) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ ONuPatchSchema() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::ONuPatchSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

This constructor creates a new poly mesh writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OFaceSet (.geom) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## Member Function Documentation

## ◆ ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | ONuPatchSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

## ◆ getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::getNumSamples | ( |  | ) | const
| inline

Get number of samples written so far. ...

## ◆ getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::getTimeSampling | ( |  | ) | const
| inline

Return the time sampling type, which is stored on each of the sub properties.

## ◆ reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::reset | ( |  | ) |
| inlinevirtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< NuPatchSchemaInfo >.

## ◆ selectiveSet()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::selectiveSet | ( | const Sample & | iSamp | ) |
| protected

Set only some property data. Does not need to be a valid schema sample This is to be used when created a file which will be layered in to another file.

## ◆ setFromPrevious()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::setFromPrevious | ( |  | ) |

Set from previous sample. Will apply to each of positions, indices, and counts.

## ◆ valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema::valid | ( |  | ) | const
| inlinevirtual

Valid returns whether this function set is valid.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< NuPatchSchemaInfo >.

The documentation for this class was generated from the following files:

- AbcGeom/ONuPatch.h
- AbcGeom/ONuPatch.cpp